Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 155063 - net-misc/nxserver-freenx-0.5.0-r1 session does not exit cleanly
Summary: net-misc/nxserver-freenx-0.5.0-r1 session does not exit cleanly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High critical (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-13 11:49 UTC by SI Reasoning
Modified: 2007-03-21 12:19 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nx 1.5 backend and client 1.5 and 2.0 fix (backingstore.patch,1.47 KB, patch)
2006-11-21 03:21 UTC, Bruno Redondi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SI Reasoning 2006-11-13 11:49:35 UTC
After upgrading to net-misc/nxserver-freenx-0.5.0-r1, when I logoff from an nxsession (specifically from kde 3.5, but I don't think that is the issue) the logoff proceeds properly, but the nxsession is never cleared and when I connect the next time, it first tries to start the closed session before giving an error message. The next time I connect it would then start a fresh session.

After logging off, I still notice that there is a sessionid in /var/lib/nxserver/db/running. If I run nxserver --cleanup then I will receive the following error message on the client; "The connection with the remote server was shut down. Please check the state of your network connection."
Comment 1 ebfe 2006-11-13 11:55:14 UTC
please dont use bugzilla for support requests
Comment 2 Stuart Herbert (RETIRED) gentoo-dev 2006-11-14 00:09:49 UTC
Hi SI,

I've noticed the same problem with GNOME.  I don't yet know what's causing it, but it's annoying as hell.

I won't be stabilising nxserver-freenx until this has been solved.

Best regards,
Stu
Comment 3 Stuart Herbert (RETIRED) gentoo-dev 2006-11-14 00:11:10 UTC
Hi ebfe,

I don't know who you are, but please don't tell other Gentoo users how they should or should not be using our Bugzilla system.

Best regards,
Stu
Comment 4 SI Reasoning 2006-11-14 01:11:14 UTC
I can get it to exit cleanly when I change the following line in /etc/nxserver/node.conf:

ENABLE_2_0_0_BACKEND="0"

I am using a 1.5 client
Comment 5 Bruno Redondi 2006-11-21 03:19:25 UTC
Looking at nxnode the variable ENABLE_2_0_0_BACKEND must be set to 1 only if nxagent is version >= 2.0; So, since net-misc/nx installs nxagent version 1.5, that variable has to be forced = 0.
To enable client connections with client version >= 2.0 and backend version = 1.5, nxnode has to be modified to handle correctly the "backingstore" parameter.
 
Comment 6 Bruno Redondi 2006-11-21 03:21:39 UTC
Created attachment 102459 [details, diff]
nx 1.5 backend and client 1.5 and 2.0 fix
Comment 7 Elfyn McBratney (beu) (RETIRED) gentoo-dev 2006-12-03 08:53:16 UTC
Changing bug state.
Comment 8 Bernard Cafarelli gentoo-dev 2007-03-21 12:19:10 UTC
Thanks, nxserver-freenx-0.5-r2 in CVS

Now, you can also use the recently added nxserver-freenx-0.6